%define upstream_name    URL-Encode-XS
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    XS implementation of URL::Encode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URL::Encode) >= 0.30.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
The main the URL::Encode manpage package will use this package
automatically if it can find it. Do not use this package directly, use the
Url:        :Encode manpage instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.30.0-7.mga9
+ Revision: 1862608
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.30.0-6.mga9
+ Revision: 1796191
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.30.0-5.mga9
+ Revision: 1727221
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.30.0-4.mga8
+ Revision: 1595299
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.30.0-3.mga8
+ Revision: 1530154
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.30.0-2.mga8
+ Revision: 1433940
- rebuild for perl 5.30

* Sat Oct 20 2018 tv <tv> 0.30.0-1.mga7
+ Revision: 1322743
- restore BR perl(Module::Install)
- update to 0.03

* Fri Sep 21 2018 umeabot <umeabot> 0.10.0-3.mga7
+ Revision: 1293898
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.10.0-2.mga7
+ Revision: 1249902
- Rebuild for perl 5.28

* Tue Nov 21 2017 kharec <kharec> 0.10.0-1.mga7
+ Revision: 1178038
- add BR Module::Install
+ shlomif <shlomif>
- imported package perl-URL-Encode-XS


* Wed Jan 08 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
